(function ($, Drupal, drupalSettings) {

  "use strict";

  /**
   * Attaches the JS countdown behavior
   */
  Drupal.behaviors.jsCountdownTimer = {

    attach: function (context) {

      console.log(drupalSettings.event_start_timestamp);


// Set the date we're counting down to
var countDownDate = new Date(drupalSettings.event_start_timestamp * 1000).getTime();

// Update the count down every 1 second
var x = setInterval(function() {



  // Get today's date and time
  var now = new Date().getTime();

  // Find the distance between now and the count down date
  var distance = countDownDate - now;

  // Time calculations for days, hours, minutes and seconds
  var days = Math.floor(distance / (1000 * 60 * 60 * 24));
  var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
  var formattedHours = ("0" + hours).slice(-2);
  var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
  var formattedMinutes = ("0" + minutes).slice(-2);
  var seconds = Math.floor((distance % (1000 * 60)) / 1000);
  var formattedSeconds = ("0" + seconds).slice(-2);

  // Display the result in the element with id="demo"
  document.getElementById("timer__display").innerHTML = formattedHours + ":"
  + formattedMinutes + ":" + formattedSeconds;

  // If the count down is finished, write some text
  if (distance < 0) {
    clearInterval(x);
    document.getElementById("timer__display").innerHTML = Drupal.t('Event has started!');
    document.getElementById("social-event-invite-flow-join-virtual-event-as-guest").classList.remove('visually-hidden');
    document.getElementById("event__image").classList.add('visually-hidden');
  }
}, 1000);      
  
      
    }
  };
})(jQuery, Drupal, drupalSettings);
